 :root {
    --black: #000;
    --gray: rgb(55, 55, 55);
    --blue: #6495ed;
    --white: #ffffff;
    --offwhite: #dbdbdb;
    --red: #ff5c5c;
    --yellow: #ffea2c;
    --purple: #ca84f5;
    --violet: #040a2b;
    --midnight: #01050c;
    --pink: #f77fbb;
    --green: #83de83;
    --animate-duration: 3s;
    --animate-delay: 1s;
    --color-text: navy;
    --color-bg: papayawhip;
    --color-bg-accent: #ecdcc0;
    --size: clamp(5rem, 1rem + 20vmin, 15rem);
    --gap: calc(var(--size) / 14);
    --duration: 30s;
    --scroll-start: 600px;
    --scroll-end: calc(-100% - var(--gap));
  }

  * {
    box-sizing: border-box;
  }
  html {
    /* scroll-behavior: smooth; */
  }

  p {
    font-family: 'Corbel', sans-serif;
    font-size: 18px;
}
  
  .bold-bold {
    font-family: inherit;
    color: var(--offwhite);    
    font-size: 30px;
    opacity: 80%
  }

  body {
    min-height: 100vh;
    background: linear-gradient(#040404, #040a2b, #000000);
    overflow-x: hidden;
    overflow-y: auto;
    font-family: 'Corbel', sans-serif;
    color: var(--offwhite);
    position: relative;
    align-content: center;
    overflow-y: auto;
  }

  ul li a {
    color: #000000 !important;
    transition: 0.7s !important;
    font-size: 14px!important;
  }

  ul li a:hover {
    color: #000008 !important;
  }

  ul > li {
    font-size: 15px!important;
  }
  a {
    animation: none;
    color: var(--blue);
  }

  a:hover {
    color: var(--pink);
  }
  a#logo {
    color: var(--offwhite);
    font-family: 'Corbel', sans-serif;
    text-transform: uppercase;
    font-weight: 600;
    font-size: 1.1em;
    letter-spacing: 1px;
  }

  .carousel-caption .d-none .d-md-bloc {
    background-color: #000000;
    opacity: 30%;
  }

  .colorful {
    font-family: 'Corbel', sans-serif;
    font-weight: 800;
    font-size: 42px;
  }
  .colorful2 {
    font-family: 'Corbel', sans-serif;
    font-weight: 600;
    justify-content: center;
    background-image: linear-gradient(126deg, var(--violet), var(--violet), var(--violet));
    /* mix-blend-mode: color-dodge; */
    background-blend-mode: unset;
    opacity: 65%;
}


  #weirdo:before {
    content: "";
    margin-left: 15px;
    background-image: linear-gradient(90deg, var(--blue), var(--white), var(--pink));
  }

  #weirdo:after {
    content: "";
    background-image: linear-gradient(90deg, var(--blue), var(--white), var(--pink));
    margin-right: 15px;
  }

  .colorful #weirdo {
    font-family: 'Corbel', sans-serif;
    font-weight: 800;
    font-size: 42px;
    justify-content: center;
    background: linear-gradient(88.28deg,#00a5ff 16.83%,#9B8FFE 44.77%,#ff33dec7 71.88%,#ffde60 98.01%);
    -webkit-background-clip: text;
    -webkit-text-fill-color: transparent;
    border-radius: 7%;
    opacity: 100%;
    mix-blend-mode: screen;
  }

  section#the-magic {
    position: fixed;
    top: -50px;
    left: 5px;
    width: 100%;
    height: 100%;
    perspective: 1000px;
    background-size: cover;
    z-index: -100;
  }

  section img {
    position: absolute;
    width: 100%;
    left: 0;
  }

  section img#stars {
    opacity: 35%;
  }

  div#about {
    padding-top: 20px;
    height: 600px;
  }

  container {
    max-width: 1000px!important;
  }

  #mars {
    position: absolute;
    height: 600px;
    width: 600px;
   
    margin: 0.05em auto;
    background: url(/images/earth.jpg) 0 0 repeat;
    border-radius: 50%;
    border: none;
    opacity: 100%;
    z-index: 100;
    animation: mars 120s linear infinite;
    mix-blend-mode: hard-light;
    transition: transform 10ms linear;
    transform-style: preserve-3d;
    transform: rotate(25deg);
    box-shadow: inset 11px -24px 102px 63px rgb(0 0 0);
    color: #000;
  }

  
  #clouds {
    position: absolute;
    height: 600px;
    width: 605px;
    opacity: 22%;
    margin: 0.05em auto;
    background: url(/images/clouds.png) 0 0 repeat;
    border-radius: 50%;
    border: none;
    mix-blend-mode:none;
    z-index: 200;
    animation: clouds 80s linear infinite;
    transition: transform 10ms linear;
    transform-style: preserve-3d;
    transform: rotate(25deg);
    box-shadow: inset 12px -3px 55px 47px rgb(0 0 0);
    color: #000;
  }

  header ul li a {
    padding: 25px;
  }

  header ul li a:hover {
    background: #fff;
    color: #000;
    border-radius: .25rem;
  }

  .nav-link {
    letter-spacing: -1px;
  }

  #skills {
    box-sizing: border-box;
    min-width: 0px;
    border-radius: 8px;
    padding: 1em;
  }

  #text {
    position: absolute;
    top: 400px;
    z-index: -100;
  }

  img#star {
    height: 100vh;
    width: 100vw;
    opacity: 35%;
    object-fit: scale-down;
    top: -100px;
    left: 0;
    position: absolute;
    perspective: 1000px;
    z-index: -107;
    animation: rotation 120s infinite linear;
    border-radius: 10%;
    mix-blend-mode: color-dodge;
    transform-origin: left;
  }

  img#star2 {
    /* animation-delay: 1s;
    animation: rotation2 90s infinite linear; */
    background: linear-gradient(180deg, #060606, rgb(0 0 0 / 89%) 10%);
    opacity: 15%;
    position: absolute;
    height: 100vh;
    width: 100vw;
    z-index: -115;
    mix-blend-mode: color-dodge;

  }
  @keyframes mars {
    from {
     background-position: 0px, 0px;
    }
    to {
      background-position: 1000px, 0;
    }
  }
  @keyframes clouds {
  from {
     background-position: 0px, 0px;
    }
    to {
      background-position: 1000px, 0;
    }
  }
  animate__pulse {
    animation: 2s infinite;
  }

  @keyframes rotation {
    from {
      transform: rotate(0deg);
    }

    to {
      transform: rotate(360deg);
    }
  }

#edu {
  opacity: 80%;
  color: var(--offwhite);
  font-size:16px;
}


    @media (max-width: 700px) {
      img#mountains {
        height: 185px;
        top: 450px;
      }

      img#moon {
        width: 5rem;
      }
    }

    img#light-mountains {
      position: absolute;
      top: 450px;
      left: 136px;
      min-width: 100%;
      height: 19rem;
      z-index: -50;
    }

  .skilltype {
    font-size: 16px;
    font-weight: 600;
  }

  .marquee {
    display: flex;
    overflow: hidden;
    user-select: none;
    gap: var(--gap);
    mask: linear-gradient(var(--mask-direction, to right),
        hsl(0 0% 0% / 0),
        hsl(0 0% 0% / 1) 20%,
        hsl(0 0% 0% / 1) 80%,
        hsl(0 0% 0% / 0));
  }

  #marquee {
    flex-shrink: 0;
    display: flex;
    align-items: center;
    justify-content: space-around;
    gap: var(--gap);
    min-width: 100%;
    animation: scroll-x var(--duration) linear infinite;
    mix-blend-mode: color-dodge;
    opacity: 80%;
    z=index:1000;
  }

  .marquee--reverse .marquee__group {
    animation-direction: reverse;
    animation-delay: -3s;
  }

  @keyframes scroll-x {
    from {
      transform: translateX(var(--scroll-start));
    }

    to {
      transform: translateX(var(--scroll-end));
    }
  }

  @keyframes scroll-y {
    from {
      transform: translateY(var(--scroll-start));
    }

    to {
      transform: translateY(var(--scroll-end));
    }
  }

  /* Element styles */
  .marquee img {
    display: grid;
    place-items: center;
    width: var(--size);
    fill: var(--color-text);
    /* background: linear-gradient(194deg, #46546b, #0e1439, #666666); */
    aspect-ratio: 1/1;
    padding: calc(var(--size) / 10);
    border-radius: 1rem;
  }

  .marquee--vertical svg {
    aspect-ratio: 1;
    width: calc(var(--size) / 1.5);
    padding: calc(var(--size) / 6);
  }

  /* Parent wrapper */
  .wrapper {
    display: flex;
    flex-direction: column;
    gap: var(--gap);
    margin: auto;
    max-width: 100%;
  }

  @keyframes fade {
    to {
      opacity: 0;
      visibility: hidden;
    }
  }
  ul.list-group.list-group-horizontal.mx-1.p-1.flex-wrap {
    mix-blend-mode: hard-light;
    flex-flow: inherit;
    justify-content: space-evenly;
  }
  /* .list-group-item {
  border: 1px solid rgba(196, 196, 196, 0.409);
  } */
  .boxes {
    display: flex;
    width: 100%;
    background-color: #fff;
    opacity: 50%;
  }
  .boxes:hover {
    animation: pulse;
    animation-duration: 1.5s;
    opacity: 75%;
  }
  .list-group-item.text-light.rounded.colorful2:hover {
    animation: swing;
    animation-duration: 2s
  }
  .list-group-horizontal>.list-group-item+.list-group-item {
    border-top-width: 1px;
    border-left-width: 1px;
  }
  .overlay {
  position: fixed;
	left: 0;
	right: 0;    
  height: 30vh;
  background: linear-gradient(rgb(0 0 0 / 2%), rgb(0 0 0 / 58%), rgb(0 0 0 / 90%) 50%);
  z-index: 10000;
  top: 81%;
}
.project-details {
  color: #000;
}
.project-details > p, li {
  font-size: 12px;
}
#loader {
  border: 16px solid #f3f3f3; /* Light grey */
  border-top: 16px solid #3498db; /* Blue */
  border-radius: 50%;
  width: 120px;
  height: 120px;
  animation: spin 2s linear infinite;
  position: absolute;
  left: 50%;
  top: 15%;
}

@keyframes spin {
  0% { transform: rotate(0deg); }
  100% { transform: rotate(360deg); }
}
.lds-roller {
  display: inline-block;
  position: absolute;
  top: 25vh; 
  left: 45vw;
  width: 80px;
  height: 80px;
}
.lds-roller div {
  animation: lds-roller 1.2s cubic-bezier(0.5, 0, 0.5, 1) infinite;
  transform-origin: 40px 40px;
}
.lds-roller div:after {
  content: " ";
  display: block;
  position: absolute;
  width: 7px;
  height: 7px;
  border-radius: 50%;
  background: #fff;
  margin: -4px 0 0 -4px;
}
.lds-roller div:nth-child(1) {
  animation-delay: -0.036s;
}
.lds-roller div:nth-child(1):after {
  top: 63px;
  left: 63px;
}
.lds-roller div:nth-child(2) {
  animation-delay: -0.072s;
}
.lds-roller div:nth-child(2):after {
  top: 68px;
  left: 56px;
}
.lds-roller div:nth-child(3) {
  animation-delay: -0.108s;
}
.lds-roller div:nth-child(3):after {
  top: 71px;
  left: 48px;
}
.lds-roller div:nth-child(4) {
  animation-delay: -0.144s;
}
.lds-roller div:nth-child(4):after {
  top: 72px;
  left: 40px;
}
.lds-roller div:nth-child(5) {
  animation-delay: -0.18s;
}
.lds-roller div:nth-child(5):after {
  top: 71px;
  left: 32px;
}
.lds-roller div:nth-child(6) {
  animation-delay: -0.216s;
}
.lds-roller div:nth-child(6):after {
  top: 68px;
  left: 24px;
}
.lds-roller div:nth-child(7) {
  animation-delay: -0.252s;
}
.lds-roller div:nth-child(7):after {
  top: 63px;
  left: 17px;
}
.lds-roller div:nth-child(8) {
  animation-delay: -0.288s;
}
.lds-roller div:nth-child(8):after {
  top: 56px;
  left: 12px;
}
@keyframes lds-roller {
  0% {
    transform: rotate(0deg);
  }
  100% {
    transform: rotate(360deg);
  }
}

@keyframes fadein {
  from {opacity: 0%;}
  to {opacity: 100%;}
}